POST
Authentication/auth/customer/registerRegister wallet customer
Creates a customer, provisions the initial YER primary wallet and returns a bearer token.
Access tierpublicRate limitpay_apiIdempotencynoneAuthenticationPublic
Source
LuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/UserAuthController.php::customerRegisterLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...Request body
CustomerRegisterRequestRequired
full_namestring
Example:
أحمد محمدphonestring
Example:
+9677XXXXXXXemailstring | null
passwordstring
JSON example
{
"full_name": "أحمد محمد",
"phone": "+9677XXXXXXX",
"email": "string",
"password": "string"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/auth/customer/register' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"full_name": "أحمد محمد",
"phone": "+9677XXXXXXX",
"email": "string",
"password": "string"
}'Responses
201Successful response.
successboolean
Example:
truemessagestring | null
tokenstring
customerCustomer
{
"success": true,
"message": "string",
"token": "string",
"customer": {
"id": 1,
"full_name": "string",
"phone": "string"
}
}